#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

%define		pkgname bundler
Summary:	Library and utilities to manage a Ruby application's gem dependencies
Name:		ruby-%{pkgname}
Version:	1.3.5
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	b835af023d3e0dbe56b6fcc3841c90a6
URL:		http://github.com/carlhuda/bundler
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
Requires:	ruby-net-http-persistent
Requires:	ruby-thor >= 0.17
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bundler manages an application's dependencies through its entire life,
across many machines, systematically and repeatably

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

# do not generate shebang deps
chmod a-x lib/bundler/templates/Executable

# move, not to package
mv lib/bundler/vendor .

%build
# write .gemspec
%__gem_helper spec

%if %{with doc}
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm ri/cache.ri

# external pkgs
rm -r ri/Gem
rm ri/Object/cdesc-Object.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bundle
%attr(755,root,root) %{_bindir}/bundle_ruby
%{ruby_rubylibdir}/bundler
%{ruby_rubylibdir}/bundler.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Bundler
%endif
%changelog
* Sat Sep 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-bundler.git;a=log;h=master

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> a55c26a
- package gemspec

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 4440999
- add doc bcond

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 300d8f7
- adapter

* Wed Apr 24 2013 Elan Ruusamäe <glen@delfi.ee> 94c275f
- avoid /usr/bin/env deps

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> b9c9dd4
- up to 1.3.5; build noarch

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 1b88a09
- requre newer thor, 0.13.4 is too old; package bin

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 16b05ce
- up to 1.3.1

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 139783c
- Up to 1.0.3

* Sat Oct 16 2010 Caleb Maclennan <caleb@alerque.com> 3ffba79
- Replaced timestamp fix removed out of ignorance in previous commit, but updated for new file names in this version.

* Sat Oct 16 2010 Caleb Maclennan <caleb@alerque.com> 20ddab2
- Up to 1.0.2

* Thu May 13 2010 sparky <sparky@pld-linux.org> 56c388e
- BR: ruby-modules

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> b06dcde
- fixed URL

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> 1320d18
- initial revision

